summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-04-24 20:05:58 +0200
committerPacho Ramos <pacho@gentoo.org>2018-04-24 21:26:06 +0200
commitc526a7fabac93bef392a9eb8f5b5ebad678e3484 (patch)
tree68efaa328dd190f775069849b637cdfe773b2cce /games-arcade
parentgames-arcade/slimevolley: Drop old (diff)
downloadgentoo-c526a7fabac93bef392a9eb8f5b5ebad678e3484.tar.gz
gentoo-c526a7fabac93bef392a9eb8f5b5ebad678e3484.tar.bz2
gentoo-c526a7fabac93bef392a9eb8f5b5ebad678e3484.zip
games-arcade/solarwolf: Stop using games.eclass, fix doman call (#619948)
Package-Manager: Portage-2.3.31, Repoman-2.3.9
Diffstat (limited to 'games-arcade')
-rw-r--r--games-arcade/solarwolf/solarwolf-1.5-r1.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/games-arcade/solarwolf/solarwolf-1.5-r1.ebuild b/games-arcade/solarwolf/solarwolf-1.5-r1.ebuild
new file mode 100644
index 00000000000..dc3d846b8b7
--- /dev/null
+++ b/games-arcade/solarwolf/solarwolf-1.5-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Action/arcade recreation of SolarFox"
+HOMEPAGE="http://www.pygame.org/shredwheat/solarwolf/"
+SRC_URI="http://www.pygame.org/shredwheat/solarwolf/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~x86"
+IUSE=""
+
+RDEPEND="
+ >=dev-python/pygame-1.5.6
+ media-libs/sdl-mixer[mod,vorbis]
+"
+DEPEND=""
+
+src_prepare() {
+ default
+ find . -name .xvpics -print0 | xargs -0 rm -fr
+ gunzip dist/${PN}.6.gz || die #619948
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins -r code data *py
+ make_wrapper ${PN} "python2 ./solarwolf.py" /usr/share/${PN}
+ doicon dist/${PN}.png
+ make_desktop_entry ${PN} SolarWolf
+ einstalldocs
+ doman dist/${PN}.6
+}